# Live Scan Grub Menu

Build an ESP File System including:
* standalone EFI & BIOS GRUB images
* boot time dynamic GRUB menu

## Project

* build.mod
* build.py
* build.sh
* images
  * nightly.png
* license.md
* live
  * env.sh
  * main.sh
  * menu
    * cmd.sh
    * env.sh
    * gfx.sh
    * main.sh
  * menu.sh
  * scan.sh
  * util.sh
  * var.sh
* menu
  * main.sh
* todo.gv

* todo.svg

## Build

* bios
  * boot.img
  * core.img
  * setup.sh
* efi
  * boot
    * bootx64.efi
* grub
  * fonts
    * *.pf2
  * grub.cfg
  * i386-pc
    * *.lst
    * *.mod
  * locale
    * *.mo
  * themes
    * breeze
    * starfield
  * x86_64-efi
    * *.lst
    * *.mod
* grub.env

## Tasks

- [x] comply with secure boot
- [x] choose to check squashfs or not

- [ ] bash
  - [ ] mimic grubx64.efi.signed ←
    - [ ] efi
      - [ ] include fonts/unicode
    - [ ] bios
  - [ ] find & setup bios device

- [ ] rewrite in python

![Graph](todo.svg)

### Later

- [ ] target arm
- [ ] make keyboard layouts
- [ ] make custom fonts
- [ ] target specific live-media
  - [ ] -mount-opts?

```
/esp
├── bios
│  ├── boot.img
│  ├── core.img
│  └── setup.sh
├── boot
│  ├── grub
│  │  ├── fonts
│  │  │  └── *.pf2
│  │  ├── grub.cfg
│  │  ├── grub.pgp
│  │  ├── grubenv
│  │  ├── i386-pc
│  │  │  ├── *.lst
│  │  │  └── *.mod
│  │  ├── locale
│  │  │  └── *.mo
│  │  ├── themes
│  │  │  ├── breeze
│  │  │  │  ├── theme.txt
│  │  │  │  ├── *.pf2
│  │  │  │  ├── *.pf2.license
│  │  │  │  ├── *.png
│  │  │  │  └── *.png.license
│  │  │  └── starfield
│  │  │     ├── README
│  │  │     ├── theme.txt
│  │  │     ├── *.pf2
│  │  │     ├── *.pf2.license
│  │  │     ├── *.png
│  │  │     └── *.png.license
│  │  └── x86_64-efi
│  │     ├── *.lst
│  │     └── *.mod
│  └── lsgm
│     ├── main.sh
│     ├── menu
│     │  ├── cmd.sh
│     │  ├── env.sh
│     │  ├── gfx.sh
│     │  ├── scan.sh
│     │  └── set.sh
│     └── source
│        ├── boot.sh
│        ├── env.sh
│        ├── menu.sh
│        ├── probe.sh
│        ├── scan.sh
│        └── util.sh
├── efi
│  └── boot
│     ├── bootx64.efi
│     ├── core.efi
│     └── grubx64.efi
└── grub.env
```
